Bug 4978 - NAME RESOLVER
Summary: NAME RESOLVER
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-08 09:06 UTC by jiang
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-05 06:41:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jiang 1999-09-08 09:06:58 UTC
Hi,
  This is not a bug for western, but for east countries.
Please modify gethostbyname and relations so that it can
support extended ascii character in hostnames and domains.
You can get it by modify *_ok  precedure or do not call them
in those functions. I think, this will not weak the stablity
and security. By that, it can support domains which can
contain extended ascii character, this is very important in
east contries such as china, japanese, korea. Other UNIX
systems such as Solaris, IRIX can do this now.
Look forward to you kind reply.

Comment 1 Cristian Gafton 1999-10-05 06:41:59 UTC
As far as I know there hasn't been any IETF draft approved that will
approve the use of non US-ascii charset in hostnames. I will lookm
again for the specs, but if there isn't a standard for it we're not
going to moify the bahavior of the resolver (just to avoid having to
modify it once again when a standard does get approved).

Comment 2 John Stracke 2000-01-04 16:06:59 UTC
I believe there was a BOF (not a working group) at the last IETF meeting about on
internationalizing DNS.  Once the proceedings are ready (in a month or two, I
think; watch http://www.ietf.org), you'll be able to find out what the outcome
was.


Note You need to log in before you can comment on or make changes to this bug.